Subject: Re: [PATCH] fix I/O memory related compile caused by wrong Kconfig dependencies

From: Takashi Iwai <[email-masked]>
Date: Wed, 21 May 2008 18:21:29 +0200

At Wed, 21 May 2008 18:05:23 +0200,
Hans-Joachim Picht wrote:
> 
> On s390 linux-next fails with the following build error:
> 
> sound/core/memory.c: In function 'copy_to_user_fromio':
> sound/core/memory.c:47: error: implicit declaration of function 'memcpy_fromio'
> sound/core/memory.c: In function 'copy_from_user_toio':
> sound/core/memory.c:82: error: implicit declaration of function 'memcpy_toio'
> 
> The problem was introduced with the following commit 
> 6a5751b42420dce9267d7d915eed8f8673d16fdd ("sound: Convert to menuconfig")
> from Takashi's sound-2.6 tree.
> 
> Add "depends on HAS_IOMEM" to this menu to make the sound drivers
> disappear for s390 which does not have I/O memory.
> 
> Signed-off-by: Hans-Joachim Picht <[email-masked]>

Thanks.  I prefer "depends on" in menuconfig SOUND so that we need no
extra if-endif block.  I added the patch below to sound-2.6 tree.
Does it work for you?

Takashi

---

commit d61ed2f0cd8b026b1e363ea638c75f9ae8e4c982
Author: Takashi Iwai <[email-masked]>
Date:   Wed May 21 18:18:01 2008 +0200

    sound: Fix dependency on CONFIG_HAS_IOMEM
    
    Hans-Joachim Picht reported the missing dependency on CONFIG_HAS_IOMEM
    that cuases a build error on s390.
    
    Signed-off-by: Takashi Iwai <[email-masked]>

diff --git a/sound/Kconfig b/sound/Kconfig
index b625855..a37bee0 100644
--- a/sound/Kconfig
+++ b/sound/Kconfig
@@ -3,6 +3,7 @@
 
 menuconfig SOUND
 	tristate "Sound card support"
+	depends on HAS_IOMEM
 	help
 	  If you have a sound card in your computer, i.e. if it can say more
 	  than an occasional beep, say Y.  Be sure to have all the information